package enquete;

/*
 * Historico:
 *    24/03/2003: rodrigor - Criao da classe
 */

import java.applet.Applet;
import java.awt.*;
import enquete.view.*;
import enquete.controller.*;
import enquete.model.*;

/**
 * Este  um exemplo de sistema que usa o padro arquitetural
 * Model-View-Controller (MVC). Esta classe simula o sistema
 * que faz o binding entre os componentes da arquitetura, ou seja,
 * ao executar esta classe, os componentes so "plugados" de modo
 * a permitir a execuo do sistema.<p>
 * Para executar, digite "java enquete.Enquete", ou abra o arquivo
 * "enquete.htm" em seu browser.
 *
 * @author <a href="mailto:rodrigor@dsc.ufcg.edu.br">Rodrigo Rebouas de Almeida</a>
 * @since 24/03/2003
 **/
public class Enquete extends Applet{

	public static void main(String[] args) {
		Enquete e = new Enquete();
		e.start();
	}


	/**
	 * Inicia o Applet.
	 *
	 * @see java.applet.Applet#start()
	 */
	public void start() {
		super.start();

		// Modelo
		EnqueteSimples enquete= new EnqueteSimples();

		// Controlador da Interface "TelaVotacao"
		TelaVotacaoCtrl ctrl = new TelaVotacaoCtrl(enquete);

		// Interface que altera o estado do modelo
		TelaVotacao votacao = new TelaVotacao(ctrl);
		votacao.setLocation(5,5);

		// Interface que exibe o resultado absoluto da votacao
		TelaResultado resultado = new TelaResultado(votacao);
		resultado.setLocation(120,5);

		// Interface que exibe o resultado percentual da votacao
		TelaResultadoPercentual resultadoPerc = new TelaResultadoPercentual(votacao);
		resultadoPerc.setLocation(250,5);

		// Adicionando as interfaces interessadas na mudana do estado do modelo
		enquete.addEnqueteListener(votacao);
		enquete.addEnqueteListener(resultado);
		enquete.addEnqueteListener(resultadoPerc);

		// Povoando o modelo
		enquete.addOpcao("Opo 1");
		enquete.addOpcao("Opo 2");
		enquete.addOpcao("Opo 3");
		enquete.addOpcao("Opo 4");


		// Exibindo as interfaces
		votacao.show();
		resultado.show();
		resultadoPerc.show();
	}

}
