package enquete.model;

/*
 * Historico:
 *    24/03/2003: rodrigor - Criao da classe
 *    26/03/2003: rodrigor - Criao do construtor que recebe uma opcao e um source
 *                           Criao do mtodo getEnqueteSimples()
 *                           Criao do mtodo getOpcao();
 *    31/03/2003: rodrigor - Criado o mtodo getVotos();
 * 							 Excluido o mtodo getEnqueteSimples();
 */


import java.util.EventObject;


/**
 * Evento gerado pelo modelo da aplicao (classe EnqueteSimples).
 *
 * @author <a href="mailto:rodrigor@dsc.ufcg.edu.br">Rodrigo Rebouas de Almeida</a>
 * @since 24/03/2003
 **/
public class EnqueteEvent extends EventObject {

	private String opcao = null;
	private int votos = 0;

	public EnqueteEvent(EnqueteSimples source){
		super(source);
	}
	public EnqueteEvent(EnqueteSimples source,String opcao){
		this(source);
		this.opcao = opcao;
	}

	/**
	 * Retorna a opo associada ao evento gerado.
	 * A opo pode ser uma nova opo adicionada  EnqueteSimples
	 * ou a opo escolhida para adicionar um novo voto.
	 * @return String opo
	 */
	public String getOpcao() {
		return opcao;
	}

	/**
	 * Retorna o numero de votos da opcao
	 * @return int votos
	 */
	public int getVotos() {
		return ((EnqueteSimples)this.source).getVotos(opcao);
	}

	/**
	 * Retorna o total de votos da enquete
	 * @return int
	 */
	public int getTotalVotos() {
		return ((EnqueteSimples)this.source).getTotalVotos();
	}

}
